[19.04 FEAT] [LS1801] PCI Virtual function enablement

Bug #1814684 reported by bugproxy on 2019-02-05
20
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
High
Frank Heimes
linux (Ubuntu)
Medium
Seth Forshee

Bug Description

Description:
The common code Linux kernel PCI bus driver performs initialization steps of PCI virtual functions (SRIOV) in an order that is incompatible with Z firmware requirements. As a result, virtual functions cannot be used properly. This item is about ensuring that PCI virtual functions can be correctly enabled in Linux.

Tentativ target ; kernel 5.0

bugproxy (bugproxy) on 2019-02-05
tags: added: architecture-s39064 bugnameltc-168737 severity-high targetmilestone-inin1904
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → linux (Ubuntu)
Frank Heimes (frank-heimes) wrote :

Since the target is to have that with kernel 5.0 in disco, this ticket is not assigned to any team, but just monitored ...

Changed in linux (Ubuntu):
status: New → Incomplete
Changed in ubuntu-z-systems:
status: New → Incomplete
importance: Undecided → High
assignee: nobody → Frank Heimes (frank-heimes)

------- Comment From <email address hidden> 2019-02-19 07:08 EDT-------
This function is not fully implemented with kernel 5.0 therefore addl. backports need to be added here.

kernel 5.0 Git commits:
- Factor out sriov_add_vfs() [18f9e9d150] (+31/-13)
- Add flag so platforms can skip VF scanning [aff68a5a62] (+7/-0)
- s390/pci: skip VF scanning [7dc20ab1b9] (+3/-0)

kernel 5.1 Git commits
-- commit cfbb4a7ab6bd5df7aca826b92ebb3565efd3d801
s390/pci: map IOV resources
Map IOV resources such that pci common code recognizes
the IOV capability of PFs.

-- commit e8e25a7718cf64701ddf7f7b2e31c79815b613f1
s390/pci: improve bar check
Improve the bar check in pci_iomap_range to cover functions

Seth Forshee (sforshee) on 2019-02-20
information type: Private → Public
Changed in linux (Ubuntu):
assignee: Skipper Bug Screeners (skipper-screen-team) → Seth Forshee (sforshee)
importance: Undecided → Medium
status: Incomplete → In Progress
Seth Forshee (sforshee) wrote :

The two patches from 5.1 have been applied to our 5.0 kernel tree.

Changed in linux (Ubuntu):
status: In Progress → Fix Committed
Changed in ubuntu-z-systems:
status: Incomplete → Fix Committed
Frank Heimes (frank-heimes) wrote :

Just double-checked if everything ("PCI/IOV: Factor out sriov_add_vfs()", "s390/pci: skip VF scanning", "s390/pci: map IOV resources" and "s390/pci: improve bar check") landed in disco-proposed kernel "Ubuntu-5.0.0-7.8". Look good - like expected ("18f9e9d", "7dc20ab", "9535cec" and "4a490e2").

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 5.0.0-7.8

---------------
linux (5.0.0-7.8) disco; urgency=medium

  * linux: 5.0.0-7.8 -proposed tracker (LP: #1818519)

  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts

  * unnecessary request_queue freeze (LP: #1815733)
    - block: avoid setting nr_requests to current value
    - block: avoid setting none scheduler if it's already none

  * Miscellaneous Ubuntu changes
    - SAUCE: selftests: net: Don't fail test_vxlan_under_vrf on xfail
    - update dkms package versions

  [ Upstream Kernel Changes ]

  * Rebase to v5.0

 -- Seth Forshee <email address hidden> Mon, 04 Mar 2019 08:46:10 -0600

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2019-03-15 06:24 EDT-------
IBM Bugzilla status -> closed, Fix Released for disco

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers